% eegplugin_Neurolode() - This plugin addeds a few analysis, exporting
%                          abilities, and processes created while working in INL
%                          process, made by Matthew Phillip Gunn in
%                          colaboration with the INL lab in Carbondale, IL.

function vers = eegplugin_Neurolode_v2021_WorkStation(fig, try_strings, catch_strings)

vers = '1.4.1';
% --- Neurolode 
ParentMenu = uimenu(fig, 'label', 'Neurolode');

CC = uimenu (ParentMenu, 'label', 'Common Commands');
        ReducePCA = uimenu (CC, 'label', 'Reduce PCA by 1','callback', ...
            ['[EEG com] = ReducePCAby1_v1a(EEG);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);;[ALLEEG EEG CURRENTSET] = pop_newset(ALLEEG, EEG, CURRENTSET);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);;eeglab redraw']); 
        Convert2Cont = uimenu (CC, 'label', 'Convert to Continuous','callback', ...
            ['[EEG com] = Convert2Continuous_v1a(EEG);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);;[ALLEEG EEG CURRENTSET] = pop_newset(ALLEEG, EEG, CURRENTSET);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);;eeglab redraw']); 
        EpochFileBundle = uimenu (CC, 'label', 'Convert to Epoch','callback', ...
            ['[EEG com] = EpochFile_v1a(EEG);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);;[ALLEEG EEG CURRENTSET] = pop_newset(ALLEEG, EEG, CURRENTSET);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);;eeglab redraw']); 
   
Export0 = uimenu (ParentMenu, 'label', 'Export Data','separator', 'on');
        ExportExcel = uimenu (Export0, 'label', 'As Excel','callback', ...
            ['[EEG com] = Export2Format(EEG);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        ExportDAT = uimenu (Export0, 'label', 'As DAT/Nscan','callback', ...
            ['[EEG com] = Export2Format(EEG,1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        ExportTXT = uimenu (Export0, 'label', 'As TXT','callback', ...
            ['[EEG com] = Export2Format(EEG,1,1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        sLORETA0 = uimenu (Export0, 'label', 'to sLORETA','callback', ...
            ['[EEG]= pop_eeglab2sloreta(EEG);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
    
        
Analysis0 = uimenu (ParentMenu, 'label', 'Analysis');
    Spectral_Centroid0 = uimenu (Analysis0, 'label', 'Spectral Centroid');        
        uimenu( Spectral_Centroid0, 'label', 'Time-Domain','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Centroid_Time(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        uimenu( Spectral_Centroid0, 'label', 'Frequency-Domain','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Centroid_Freq(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        uimenu( Spectral_Centroid0, 'label', 'Customize','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Centroid_Custom(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
    Spectral_Spread0 = uimenu (Analysis0, 'label', 'Spectral Spread');        
        uimenu( Spectral_Spread0, 'label', 'Time-Domain','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Spread_Time(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        uimenu( Spectral_Spread0, 'label', 'Frequency-Domain','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Spread_Freq(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        uimenu( Spectral_Spread0, 'label', 'Customize','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Spread_Custom(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
    Spectral_Skewness0 = uimenu (Analysis0, 'label', 'Spectral Skewness');        
        uimenu( Spectral_Skewness0, 'label', 'Time-Domain','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Skewness_Time(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        uimenu( Spectral_Skewness0, 'label', 'Frequency-Domain','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Skewness_Freq(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        uimenu( Spectral_Skewness0, 'label', 'Customize','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Skewness_Custom(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
    Spectral_Kurtosis0 = uimenu (Analysis0, 'label', 'Spectral Kurtosis');        
        uimenu( Spectral_Kurtosis0, 'label', 'Time-Domain','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Kurtosis_Time(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        uimenu( Spectral_Kurtosis0, 'label', 'Frequency-Domain','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Kurtosis_Freq(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
        uimenu( Spectral_Kurtosis0, 'label', 'Customize','callback', ...
                ['[EEG com]  = pop_EEG_Spectral_Kurtosis_Custom(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);

     Spectral_PowerOss0 = uimenu (Analysis0, 'label','Power Spectrum Oscillation','callback', ...
                ['[EEG com]  = pop_EEG_PowerSpectrumOss(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
 
Compare0 = uimenu (ParentMenu, 'label', 'Compare');
        FFT0 = uimenu (Compare0, 'label', 'FFT','callback', ...
                ['[EEG com]  = pop_CompareFFT(EEG, 1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
                  
            
Processing = uimenu (ParentMenu, 'label', 'Processing','separator', 'on');
          FFT1 = uimenu (Processing, 'label', 'Modifed BSS UI','callback', ...
                ['[EEG com]  = pop_autobssemgNL(EEG);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);
            
          AUTI = uimenu (Processing, 'label', 'Automated Interpolation Channel (Slow and Precise)');
                  AUT1 = uimenu (AUTI, 'label', 'Across entire epoch','callback', ...
                        ['[EEG com]  = pop_CILocal_S(EEG,1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);            
                  AUT2 = uimenu (AUTI, 'label', 'Across Time (ms)','callback', ...
                        ['[EEG com]  = pop_CILocal_S(EEG,1,1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']); 

          AUTII = uimenu (Processing, 'label', 'Automated Interpolation (Fast Epoch Only)');
                  AUTI1 = uimenu (AUTII, 'label', 'Channels','callback', ...
                        ['pop_intmenu(EEG,1);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);            
                  AUTI1 = uimenu (AUTII, 'label', 'Componets','callback', ...
                        ['pop_intmenu(EEG,0);;EEG = eegh(com, EEG);;[ALLEEG EEG CURRENTSET] = eeg_store(ALLEEG, EEG, CURRENTSET);']);            
                                                
 end